from modeller import *

env = environ()
env.io.atom_files_directory = ['.', '../../atom_files']
aln = alignment(env)
mdl = model(env, file='2cmd', model_segment=('FIRST:A','LAST:A'))
aln.append_model(mdl, align_codes='2cmdA', atom_files='2cmd')
aln.append(file='../../step1_search/TvLDH.ali', align_codes='TvLDH')
aln.align2d(max_gap_length=40)
aln.write(file='TvLDH-2cmdA.ali', alignment_format='PIR')
